<apex:page controller="ViewJobController" standardStylesheets="false" >
    
    <apex:stylesheet value="{!URLFOR($Resource.Bootstrap, 'bootstrap-5.0.0-beta3-dist/css/bootstrap.min.css')}" />
    <apex:includeScript value="{!$Resource.CandidateJSReg}"/>
    <apex:includeScript value="{!$Resource.JQuery}"/>
    <script>
    function getRemoteAccount(Id){
        console.log(Id);
       Visualforce.remoting.Manager.invokeAction(
           '{!$RemoteAction.ViewJobController.getJob}',
           Id,
           function(result, event){
               if (event.status) {
                   console.log('in if'+event.status);
               } else if (event.type === 'exception') {
                   console.log('in else if'+event.type);
               } else {
                   console.log('in else');
               }
           },
           {escape: true}
       );      
   }  
   </script>

    
    <apex:form >
        <div style="text-align:center;">
            <apex:selectList value="{!selectedJob}"  multiselect="false" size="1" styleClass="btn btn-outline-secondary btn-lg dropdown-toggle">
                <apex:selectOptions value="{!jobOptions}" ></apex:selectOptions>
                <apex:actionSupport event="onchange" reRender="MakesField" action="{!getData}"/>
                
            </apex:selectList>
        </div>  
        <apex:outputPanel id="MakesField">
            
            <apex:pageBlock title="Job Details" rendered="{!rend1}">
                <c:RelatedListComponent records="{!records}" fields="{!fields}"></c:RelatedListComponent>
                
                <!--<apex:commandButton action="{!searchFunction}" value="Search"  reRender="thePanelWrapper" id="theCommandLink"/>
-->
                <div>
                    <!--<button styleClass="btn" onclick="helloWorld()">Show New Candidate</button>-->
                    <input type="button" class="btn btn-success" value="Show" onclick="helloWorld()" />
                    <input type="button" class="btn btn-success" value="Position ++"  onclick="getRemoteAccount('{!selectedJob}')" />
                </div>
                
                
                <div style="display:none" class="candidateFormSection"> 
                    <apex:outputPanel id="CandidateData">
                        <apex:pageBlock mode="edit" id="thePageBlock" rendered="{!candData}"  title="Add new Candidate" >
                            <apex:pageBlockSection id="pbInput"  >
                                <apex:inputField value="{!candidate.Name}" styleClass="form-control col-sm-10" id="cname" /> 
                                <apex:inputField value="{!candidate.Salutation__c}" styleClass="form-control" id="csalut"/> 
                                <apex:inputField value="{!candidate.First_Name__c}" styleClass="form-control" id="cfirst"/>
                                <apex:inputField value="{!candidate.Last_Name__c}" styleClass="form-control" id="clast"/> 
                                <apex:inputField value="{!candidate.DOB__c}" styleClass="form-control" id="cdob"/>
                                <apex:inputField value="{!candidate.Email__c}" styleClass="form-control" id="cemail"/> 
                                <apex:inputField value="{!candidate.Expected_Salary__c}" styleClass="form-control" id="csalary"/> 
                                <apex:inputField value="{!candidate.Name__c}" styleClass="form-control" id="cjob"/> 
                                <apex:inputField value="{!candidate.Country__c}" styleClass="form-control" id="ccountry"/> 
                                <apex:inputField value="{!candidate.State__c}" styleClass="form-control" id="cstate"/>
                                <apex:inputField value="{!candidate.Status__c}" styleClass="form-control" id="cstatus"/>
                                <apex:inputField value="{!candidate.Application_Date__c}" styleClass="form-control" id="cdate"/>
                                <apex:commandButton styleClass="btn btn-success" id="btn" value="save" action="{!save}" reRender="thePanelWrapper,CandidateData" />                 
                                
                            </apex:pageBlockSection>
                        </apex:pageBlock>
                    </apex:outputPanel>
                </div>
                
                
                
                <apex:outputPanel id="thePanelWrapper">
                    <apex:pageBlock id="pbInput"  title="Candidate Data" rendered="{!rend}">
                        <apex:pageBlockTable id="pbt" value="{!candidateRecords}" var="detail"  styleClass="table table-striped">
                            <apex:column >
                                <apex:facet name="header">First Name</apex:facet>
                                <apex:outputText value="{!detail.First_Name__c}"/>
                            </apex:column>
                            <apex:column >
                                <apex:facet name="header">Last Name</apex:facet>
                                <apex:outputText value="{!detail.Last_Name__c}"/>
                            </apex:column>
                            <apex:column >
                                <apex:facet name="header">Email</apex:facet>
                                <apex:outputText value="{!detail.Email__c}"/>
                            </apex:column>
                            <apex:column >
                                <apex:facet name="header">Status</apex:facet>
                                <apex:outputText value="{!detail.Status__c}"/>
                            </apex:column>
                            <apex:column >
                                <apex:facet name="header">Job Name</apex:facet>
                                <apex:outputText value="{!detail.Name__c}"/>
                            </apex:column>
                            <apex:column >
                                <apex:facet name="header">Job Type</apex:facet>
                                <apex:outputText value="{!detail.Job_Type__c}"/>
                            </apex:column>
                            
                        </apex:pageBlockTable>
                    </apex:pageBlock>
                </apex:outputPanel>
                
            </apex:pageBlock>
        </apex:outputPanel>
        
    </apex:form>      
</apex:page>